#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Napisz funkcję leet_speak, która podmienia w podanym napisie niektóre litery
na podobnie wyglądające cyfry: 'e' na '3', 'l' na '1', 'o' na '0', 't' na '7'.
Np. leet('leet') powinno zwrócić '1337'.
"""


def leet_speak(text):
    if 'l' in text:
        text = text.replace('l', '1')
    if 'e' in text:
        text = text.replace('e', '3')
    if 'o' in text:
        text = text.replace('o', '0')
    if 't' in text:
        text = text.replace('t', '7')
    return (text)




def tests(f):
    inputs = [['leet'], ['do not want']]
    outputs = ['1337', 'd0 n07 wan7']

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(leet_speak))
